### Signal

# Gtk GestureDrag::drag-update

#### Declaration

    void
    drag_update (
      GtkGestureDrag* self,
      gdouble offset_x,
      gdouble offset_y,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the dragging point moves.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`offset_x`

  Type: `gdouble`

  X offset, relative to the start point.

`offset_y`

  Type: `gdouble`

  Y offset, relative to the start point.